<?php
/*
CRIADO POR: K88
DATA ULTIMA ALTERAÇÃO: 16/08/2017 14:45
OBS.: ATUALIZAÇÃO DE NOVOA ESTRUTURA E REVISÃO
*/

include("../configuracao.php");//confirma no banco de dados
include("../inclusos/funcoes.php");
include("../seguranca.php"); // Inclui o arquivo com o sistema de seguran?a
protegePagina(); // Protege a página	
header('Content-Type: text/html; charset=utf-8');

$mysqli = new mysqli($servidor, $usuario, $senha, $banco);

print $query;

if (mysqli_connect_errno())
{
die(mysqli_connect_error());
exit();
}
$mysqli->query("SET NAMES 'utf8'");

$idvenda = $_GET['idvenda'];

if(isset($_GET['term']))
{
$q = $mysqli->real_escape_string($_GET['term']);
$buscar = str_replace(" ","%",$q);
$sql = $mysqli->query("SELECT * FROM vendas_produtos WHERE idvenda='$idvenda' AND titulo_produto LIKE '%".$buscar."%'  AND excluido <> 'sim' AND idfilial='".$_SESSION['idfilial_usuario']."' AND   cod_empresa='".$_SESSION['cod_empresa']."'");

	while ($row = $sql->fetch_assoc()) {
		$data[] = array(
			'label' => $row['titulo_produto'],
			'titulo' => $row['titulo_produto'],
			'quantidade' => $row['quantidade'],			
			'valor_unitario' => $row['valor_unitario'],
			'quantidade' => $row['quantidade'],
			'idproduto_loja' => $row['idproduto_loja'],
			'idproduto_venda' => $row['idproduto_venda'],					
		);
    }
echo json_encode($data);
}

?>